#version 330 

uniform sampler2D fDiffuseTexture;
uniform sampler1D gRandomTexture;
uniform float randomSample;

in vec2 TexCoord;
out vec4 FragColor;

void main()
{
	float alpha = 0.3 + 0.2 * texture(gRandomTexture, randomSample).r;
	FragColor = texture2D(fDiffuseTexture, TexCoord) * vec4(1,1,1,alpha);
}